class FilterCriteria < ActiveRecord::Base
  has_many :filter_criteria_values
  belongs_to :owner, polymorphic: true

  self.inheritance_column = :_type_disabled
  def owner_type=(class_name)
    super(class_name.constantize.base_class.to_s)
  end
end
